Data Structures | Defines | Typedefs | Enumerations | Functions

# timer.h File Reference

Go to the source code of this file.

## Data Structures
struct | _Timer
## Defines
#define | WizardEpsilon 1.0e-10
## Typedefs
typedef struct _Timer | Timer
typedef struct _TimerInfo | TimerInfo
## Enumerations
enum | TimerState { UndefinedTimerState, StoppedTimerState, RunningTimerState }
## Functions
WizardExport double | GetElapsedTime (TimerInfo *)
WizardExport double | GetUserTime (TimerInfo *)
WizardExport TimerInfo * | AcquireTimerInfo (void)
WizardExport TimerInfo ** | DestroyTimerInfo (TimerInfo *)
WizardExport WizardBooleanType | ContinueTimer (TimerInfo *)
WizardExport void | GetTimerInfo (TimerInfo *)
WizardExport void | ResetTimer (TimerInfo *)
WizardExport void | StartTimer (TimerInfo *, const WizardBooleanType)

## Define Documentation

#define WizardEpsilon 1.0e-10

## Typedef Documentation

typedef struct _Timer Timer

typedef struct _TimerInfo TimerInfo

## Enumeration Type Documentation

enum TimerState

Enumerator:

  UndefinedTimerState |
  StoppedTimerState |
  RunningTimerState |

## Function Documentation

WizardExport TimerInfo* AcquireTimerInfo | ( | void |  | ) |

WizardExport WizardBooleanType ContinueTimer | ( | TimerInfo * |  | ) |

References _TimerInfo::elapsed, _TimerInfo::signature, _Timer::start, _TimerInfo::state, _Timer::stop, StoppedTimerState, _Timer::total, UndefinedTimerState, _TimerInfo::user, WizardFalse, WizardSignature, and WizardTrue.

Referenced by LogWizardEventList().

WizardExport TimerInfo* * DestroyTimerInfo | ( | TimerInfo * |  | ) |

References CipherDomain, RelinquishWizardMemory(), _TimerInfo::signature, WizardAssert, and WizardSignature.

Referenced by DestroyLogElement().

WizardExport double GetElapsedTime | ( | TimerInfo * |  | ) |

WizardExport void GetTimerInfo | ( | TimerInfo * |  | ) |

WizardExport double GetUserTime | ( | TimerInfo * |  | ) |

References RunningTimerState, _TimerInfo::signature, _TimerInfo::state, StopTimer(), _Timer::total, UndefinedTimerState, _TimerInfo::user, and WizardSignature.

Referenced by TranslateEvent().

WizardExport void ResetTimer | ( | TimerInfo * |  | ) |

WizardExport void StartTimer | ( | TimerInfo * | ,
|  | const | WizardBooleanType |
| ) |  |  |

References _TimerInfo::elapsed, ElapsedTime(), RunningTimerState, _TimerInfo::signature, _Timer::start, _TimerInfo::state, _Timer::total, _TimerInfo::user, UserTime(), WizardFalse, and WizardSignature.

Referenced by GetTimerInfo().